PHP is amongst the most widely used general-purpose scripting languages. It is rather popular as it is free software, which can be used to set up responsive sites such as community sites, e-stores or e-learning portals as opposed to static HTML websites. A PHP module must be installed on the server where a PHP site is hosted so that its source code can be ‘decoded’. As there aren’t any license fees for this sort of module and the language offers countless possibilities for the applications that you create, there’re hundreds of millions of PHP websites. What’s more, there’re a multitude of PHP-based scripts, which you can use for your websites without the need to possess any coding knowledge. Since there’re a handful of versions of PHP, you must make certain that the exact same version that you used while developing your site is activated on the server too.

PHP 4 and PHP 5 Support in Cloud Hosting

We have made a conscious decision not to prevent our current and prospective clients from picking the PHP version that their sites will use, which goes to say that in case you get a cloud hosting package from our company, you will be able to select between versions 5.5, 5.4, 5.3, 5.2 and 4, not only for the account in general, but also for each single domain that you host. This can be done with only one single mouse click from our custom-built Hepsia hosting Control Panel via which all shared accounts are administered, which is why you won’t need to have any programming or technical experience. You’ll be able to host sites built with both old and new PHP-based scripts without having to deal with any obstacles, so if you decide to abandon your present hosting supplier and migrate over to us, you can rest assured that all the websites that you have set up over the years will continue to run perfectly.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

Even in case your websites were created with an earlier version of PHP, you’ll be able to host them in a semi-dedicated server account from us, as we support several versions running simultaneously on our servers and each one of them can be activated for your account with just a click from our in-house created Hepsia Control Panel. Aside from the latest PHP 5.4 and PHP 5.5, we also offer 5.3, 5.2 and the older PHP 4, which has already been dropped by the vast majority of web hosting companies, but we strongly maintain that you shouldn’t be forced to modify a site that took years to develop, since older scripting language syntax doesn’t inevitably suggest security flaws. Just the opposite, a properly maintained website using PHP 4 can be more reliable than a poorly maintained one using PHP 5. For your convenience, we will also offer you the opportunity to choose a different version for each site within your account.